Bug 911329 - pwd_expiration_warning has wrong default for Kerberos
Summary: pwd_expiration_warning has wrong default for Kerberos
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 911331 912223 914671
TreeView+ depends on / blocked
 
Reported: 2013-02-14 18:17 UTC by Jakub Hrozek
Modified: 2013-11-21 22:14 UTC (History)
7 users (show)

Fixed In Version: sssd-1.9.2-85.el6
Doc Type: Bug Fix
Doc Text:
Cause: The pam_pwd_expiration warning was errorneously set to 0 for the Kerberos provider, which means "always display password expiration warning if the server sends one". Consequence: For some environments, such as AD or IPA, this resulted in a password expiration warning on each login Fix: The default was fixed to be 7 days Result: the warning is only displayed if the password expires in 7 or fewer days
Clone Of:
: 911331 912223 (view as bug list)
Environment:
Last Closed: 2013-11-21 22:14:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1680 normal SHIPPED_LIVE sssd bug fix and enhancement update 2013-11-20 21:52:37 UTC

Description Jakub Hrozek 2013-02-14 18:17:53 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1808

The sssd.conf man page states that the default for pwd_expiration_warning should be 7 days for Kerberos, but it's not. It's actually 0, which means "always display warning if the server sends one". This is very irritating in environments such as IPA or AD.

Comment 5 Kaushik Banerjee 2013-09-04 09:45:38 UTC
Verified in version 1.9.2-123.el6

Output from beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: default pwd_expiration_warning
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Authentication successful, as expected 
:: [   PASS   ] :: Running 'strict eval 'auth_success policy_user1 Secret123'' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/log/secure' should not contain 'Your password will expire in ' 

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: pwd_expiration_warning=0
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Authentication successful, as expected 
:: [   PASS   ] :: Running 'strict eval 'auth_success policy_user1 Secret123'' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/log/secure' should contain 'Your password will expire in ' 

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: pwd_expiration_warning=15
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Authentication successful, as expected 
:: [   PASS   ] :: Running 'strict eval 'auth_success policy_user1 Secret123'' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/log/secure' should contain 'Your password will expire in ' 

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: pwd_expiration_warning=7
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Authentication successful, as expected 
:: [   PASS   ] :: Running 'strict eval 'auth_success policy_user1 Secret123'' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/log/secure' should not contain 'Your password will expire in ' 

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Default pwd_expiration_warning and password will expire in 6 days on server
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Authentication successful, as expected 
:: [   PASS   ] :: Running 'strict eval 'auth_success policy_user1 Secret123'' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/log/secure' should contain 'Your password will expire in '

Comment 6 errata-xmlrpc 2013-11-21 22:14:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1680.html


Note You need to log in before you can comment on or make changes to this bug.